Skip to main content
GET
/
private-records
/
{record_id}
/
analytics
Get private record analytics history
curl --request GET \
  --url https://api.mycreditapp.ai/v1-beta/private-records/{record_id}/analytics \
  --header 'Authorization: Bearer <token>' \
  --header 'Requester-Organization-ID: <requester-organization-id>' \
  --header 'Target-Organization-ID: <target-organization-id>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "in_progress",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "analyzed_on": "2025-01-15T12:00:00.123456",
      "balance_sheets": [],
      "income_statements": [],
      "cashflow_statements": []
    }
  ],
  "total_items": 0
}

Authorizations

Authorization
string
header
required

Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.

Headers

Requester-Organization-ID
string<uuid>
required

The unique identifier of the organization making the request. This ID is used to authorize the requester within the system.

Example:

"054b4106-174b-46b0-97f8-86d8d7b6f0af"

Target-Organization-ID
string<uuid>
required

The unique identifier of the organization that is the target of the request. The Target-Organization-ID may match the Requester-Organization-ID if the requester accesses their own resources. If the Target-Organization-ID differs from the Requester-Organization-ID, the requester can access third-party resources if the requester has a connection with the target organization and is authorized to perform such actions.

Example:

"123e4567-e89b-12d3-a456-426614174000"

Path Parameters

record_id
string<uuid>
required

Unique identifier of the private record

Example:

"b25e7b65-e46a-40d5-a0f2-0de8c2b354aa"

Query Parameters

statuses
enum<string>[] | null

Filter analytics history by status

Minimum array length: 1
Available options:
in_progress,
processing,
success,
failed
order_by
enum<string>
default:analyzed_on

Field to order the results by

Available options:
analyzed_on,
created_at,
updated_at,
status
order_dir
enum<string>
default:desc

Order direction

Available options:
asc,
desc
limit
integer
default:20

Maximum number of items to return

Required range: x <= 100
Examples:

20

50

offset
integer
default:0

Number of items to skip for pagination

Required range: x >= 0
Examples:

0

10

Response

Successful Response

items
PrivateRecordAnalyticsHistoryItem · object[]
required

List of analytics history items

total_items
integer
default:0

Total number of analytics history items

Required range: x >= 0
Examples:

1

20

50